/*
 * Copyright 2005 by Oracle USA
 * 500 Oracle Parkway, Redwood Shores, California, 94065, U.S.A.
 * All rights reserved.
 */
package javax.ide;

/**
 * <code>Identifiable</code> objects are IDE components that can be 
 * identified by a unique string identifier. Such components include:
 * Extensions, IDEActions, Menus, Views, etc..
 */
public interface Identifiable
{
  /**
   * Gets this object's unique identifier.
   *
   * @return The object's unique identifier. 
   */
  public String getID();
}
